<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|                                           |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 22/10/2006 Time: 10:00 PM  |
+===========================================+
*/
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }
if(!$_POST[save]){
$admin->head();
echo "
<script language=javascript>
function checkForm(){
	if (!document.addf.sitename.value) {
		alert('عفوا ... انت لم تقم بكتابة اسم للموقع'); 
		return false;
	} 
	if (!document.addf.xmlurl.value) {
		alert('عفوا ... انت لم تقم بكتابة وصلة RSS للموقع'); 
		return false;
	} 
	var x=document.addf.feedtime.options[document.addf.feedtime.selectedIndex].value
	if (x==''){
		alert('عفوا ... انت لم تقم بإختيار وقت تحديث الاخبار'); 
		return false;
	}	
	var xx=document.addf.feedorder.options[document.addf.feedorder.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار ترتيب للموقع'); 
		return false;
	}	
}
</script>";
$result = mysql_query ("SELECT * FROM rafia_rss where r_id=$_GET[r_id]");
$row = mysql_fetch_array($result);
$r_id 	= $row['r_id']; 
$url  	= $row['url']; 
$sitename   = $row['sitename']; 
$feedtime	= $row['feedtime']; 
$feedorder	= $row['feedorder']; 

            $admin->opentable("تحرير موقع اخبار");
			echo "<form onsubmit='return checkForm(this)' name=addf action=mod.php?act=edit&mod=RSS&modid=$modid&op=edit&$session&r_id=$_GET[r_id] method=post>";
            $admin->inputtext("اسم الموقع","sitename",$sitename);
            $admin->inputtext("عنوان الموقع","xmlurl",$url);

		echo "<tr><td class=datacell width=33%><p class=fontablt>عدد المواضيع :</b></td>
		<td class=datacell width=72%>
		<select name=count dir=rtl>
		<option selected value=0>كل المواضيع</option>
		<option value=1>موضوع واحد</option>
		<option value=5>5 مواضيع</option>
		<option value=10>10 مواضيع</option>
		<option value=15>15 موضوع</option>
		<option value=20>20 موضوع</option>
		</select></td></tr>";

			echo "<tr><td class=datacell width=33%><p class=fontablt>وقت التحديث :</b><br>لا تضع اختيارك على (مباشر) الا في حالة كان الموقع نشيطا جدا</td>
		<td class=datacell width=72%>
		<select name=feedtime dir=rtl>
		<option selected>اختر وقت التحديث</option>
		<option value='0'>مباشر</option>
		<option value='1800'>كل نصف ساعة</option>
		<option value=3600'>كل ساعة</option>
		<option value=10800'>كل 3 ساعات</option>
		<option value=21600'>كل 6 ساعات</option>
		<option value=43200'>كل 12 ساعة</option>
		<option value=86400>كل 24 ساعة</option>
		</select></td></tr>";
            $admin->selectnum("الترتيب","feedorder","$feedorder",'1','15');
            $admin->inputhidden('save','save');
            $admin->closetable();
            $admin->submit("تعديل");


}elseif($_POST[save]){
$res = mysql_query ("UPDATE rafia_rss set sitename='$_POST[sitename]',url='$_POST[xmlurl]',feedtime='$_POST[feedtime]',feedorder='$_POST[feedorder]',count='$_POST[count]' where r_id=$_GET[r_id]");
$admin->head();
if($res){
modmsg("تم تعديل الموقع بنجاح","mod.php?act=edit&mod=RSS&modid=$modid&op=index&$session");
}else{
modmsg("حصل خطأ عند تعديل الموقع","mod.php?act=edit&mod=RSS&modid=$modid&op=index&$session");
}
}
?>